%define oname talika

Name: gnome-applets-extra-talika
Version: 0.49
Release: alt1
Summary: A GNOME panel applet for switch between open windows
License: GPLv2+
Group: Graphical desktop/GNOME
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>
Url: http://sourceforge.net/projects/talika

Source0: http://sourceforge.net/projects/talika/files/%oname-%version/%oname-%version.tar.gz

Provides: %oname = %version-%release

# Automatically added by buildreq on Fri May 07 2010
BuildRequires: intltool libXcomposite-devel libgnome-panel-devel libwnck-devel

BuildRequires: GConf2 rpm-build-gnome

%description
The package contains a GNOME panel applet which allows you to switch between
open windows using icons.

%define _libexecdir %gnome_appletsdir

%prep
%setup -n %oname-%version

%build
%configure --disable-schemas-install --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %oname
rm -rf %buildroot/usr/doc

%post
%gconf2_install %oname

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %oname
fi

%files -f %oname.lang
%doc AUTHORS COPYING ChangeLog HACKING INSTALL README

%config %_sysconfdir/gconf/schemas/*
%bonobo_serversdir/*.server

%_libexecdir/%oname
%_datadir/%oname
%_datadir/pixmaps/*.svg

%changelog
* Fri May 07 2010 Alexey Shabalin <shaba@altlinux.ru> 0.49-alt1
- Initial build for ALTLinux

